## libbitmask 2.0

=== debian/changelog ===
libbitmask (2.0-4) unstable; urgency=medium

  * QA upload.
  * Orphan package. (See #925030)
  * Refresh packaging:
    + Bump Standards-Version to 4.6.0.
    + Bump debhelper compat to v13.
    + Use dh sequencer.
  * debian/control: Add Vcs-* fields to use git packaging repo on Salsa
    Debian GitLab.
  * debian/copyright: Rewrite with machine-readable format.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Sep 2021 23:42:32 -0400

libbitmask (2.0-3) unstable; urgency=medium

  * Fix uses-deprecated-compression-for-data-tarball
    Closes: #833235
  * Standards version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 21 Nov 2016 12:41:39 +0000

libbitmask (2.0-2) unstable; urgency=low

  * Debian source format is 3.0 (quilt)
  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Add multiarch support
  * Use hardening options
  * Fix copyright-refers-to-symlink-license
  * Fix debian-rules-missing-recommended-target
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 03 Jun 2012 11:39:06 +1000

libbitmask (2.0-1) unstable; urgency=low

  * Initial release; closes: #497235

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 25 Aug 2008 20:13:00 +1000
