=== debian/watch ===
version=3
ftp://oss.sgi.com/projects/cpusets/download/libbitmask-(.*)\.tar\.bz2
